﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Grid;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDFSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btn_Click(object sender, RoutedEventArgs e)
        {
            for (int i = 0; i < 6; i++)
            {

                //Create a new PDF document
                PdfDocument document = new PdfDocument();

                //Add a new PDF page
                PdfPage page = document.Pages.Add();

                //Create a new PDF grid
                PdfGrid grid = new PdfGrid();

                //Create IEnumerable custom object
                List<Customer> customerDetails = new List<Customer>();

                PdfGraphics graf = page.Graphics;
                PdfFont font = new PdfStandardFont(PdfFontFamily.Courier, 12);
                graf.DrawString("Prova", font, PdfBrushes.Black, new PointF(50, 50));


                //for (int i=0;i<100;i++)
                //{
                //    Customer cust = new Customer();
                //    cust.ID = 11001;
                //    cust.Name = "XYZ";
                //    cust.Age = 26;               
                //    customerDetails.Add(cust);
                //}

                //Set the custom object as grid data source
                //grid.DataSource = customerDetails;

                //Draw the grid to PDF
                //grid.Draw(page, System.Drawing.PointF.Empty);

                //Save the PDF document.
                document.Save($"d:\\output{i}.pdf");

                //Close the PDF document.
                document.Close(true);

            }

            //System.Diagnostics.Process.Start("output.pdf");
        }
    }
    public class Customer
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public int Age { get; set; }        
    }
   
}
